# W800_Smart_Watch
## Why this project :

## A Smart Watch project using the Chinese W800 SOC.
The W800 is a pretty interesting chip with impressive characteristics :    
### Core :  
* 32bit XT804 CPU
* 240 Mhz frequency  
### Memory :
* 2 MB on chip flash
* 288 KB RAM  
### Wireless connectivity :
* Bluetooth EDR(Classic) and BLE 4.2
* WiFi 2.4Ghz 802.11 b/g/n


## Sensors :
The goal is to embed the following sensors in the watch :
* An accelerometer (for wrist tilt detection, single and double tap detection , foot step counting and more)
Possible choices :
    * ADXL345
    * MPU6050
    * BMI160
    * LSM6DS3

* A magnetometer
* An air pressure/temperature sensor (to display the altitude for example)
    * BMP280

## Actuators :
* A vibration motor to notify events to the user.

## MCU Pin assignement table :
| Pin Number | Pin Name | Type | Function | Pull UP/DOWN| Connected to | Comment |
|------------|----------|------|----------|-------------|--------------|---------|
||PB_20|I/O|UART0_RX/PWM1/UART1_CTS/**I²C_SCL**|U/D|||
||PB_19|I/O|UART0_TX/PWM0/UART1_RTS/**I²C_SDA**|U/D|||
||WAKEUP|I|**External Wake Up Pin**|D||The chip is waken up when the pin is HIGH|
||RESET|I|Reset Pin|D|||
||XTAL_OUT|O|External crystal output||||
||XTAL_IN|I|External crystal input||||
||AVDD3V3|P|Chip power supply, 3.3V||||
||ANT|I/O|RF Antenna||||
||AVDD3V3|P|Chip power supply, 3.3V||||
||AVDD3V3|P|Chip power supply, 3.3V|||
||AVDD3V3_AUX|P|Chip power supply, 3.3V||||
||TEST|I|Test function configuration pin||||
||BOOTMODE|I/O|BOOTMODE and I²S_MCLK/LSPI_CS/PWM2/I²S_DO|U/D|||
||PA_1|I/O|JTAG_CK/I²C_SCL/PWM3/I²S_LRCK/**ADC0**|U/D|||
||PA_4|I/O|JTAG_SWO/I²C_SDA/**PWM4**/I²S_BCK/ADC1 |U/D|||
||PA_7|I/O|PWM4/LSPI_MOSI/I²S_MCK/I²S_DI/Touch0|U/D|||
||VDD3V3IO|P|IO power supply, 3.3V||||
||PB_0|I/O|PWM0/LSPI_MISO/UART3_TX/PSRAM_CK/Touch3|U/D|||
||PB_1|I/O|PWM1/LSPI_CK/UART3_RX/PSRAM_CS/Touch4|U/D|||
||PB_2|I/O|PWM2/LSPI_CK/UART2_TX/PSRAM_D0/Touch5|U/D|||
||PB_3|I/O|PWM3/LSPI_MISO/UART2_RX/PSRAM_D1/Touch6|U/D|||
||PB_4|I/O|LSPI_CS/UART2_RTS/UART4_TX/PSRAM_D2/Touch7|U/D|||
||PB_5|I/O|LSPI_MOSI/UART2_CTS/UART4_RX/PSRAM_D3/Touch8|U/D|||
||VDD3V3IO|P|IO power supply, 3.3V||||
||CAP|I|External capacitor, 4.7µF||||
||PB_6|I/O|UART1_TX/**MMC_CLK**/HSPI_CK/SDIO_CK/Touch9|U/D|||
||PB_7|I/O|UART1_RX/**MMC_CMD**/HSPI_INT/SDIO_CMD/Touch10|U/D|||
||PB_8|I/O|I²S_BCK/MMC_D0/PWM_BREAK/SDIO_D0/Touch11|U/D|||
||PB_9|I/O|I²S_LRCK/MMC_D1/HSPI_CS/SDIO_D1/Touch12|U/D|||
||PB_10|I/O|I²S_DI/MMC_D2/HSPI_DI/SDIO_D2|U/D|||
||VDD3V3IO|P|IO power supply, 3.3V||||
||PB_11|I/O|I²S_DO/MMC_D3/HSPI_DO/SDIO_D3|U/D|||
||GND|P|Ground (Central Pad)||||


